.slider-section {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.slider-section .slider-item {
    position: relative;
    width: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: none;
    height: 307px;
}

.slider-section .slick-prev-custom, .slider-section .slick-next-custom {
    border-radius: 4px;
    padding: 11.5px 9.5px;
    margin: 0 16px;
    box-shadow: 0px 1px 4px 0px #19213D14;
    background: #FFFFFF;
    border: 1px solid #E1E4ED;
    line-height: 0;
}

.slider-section .slick-dots-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.slider-section .slick-active, .slider-section .slick-target {
    transform: scaleY(1);
}

.slick-dots-custom {
    font-weight: 500;
    font-size: 16px;
}

.text-container p:nth-child(2) {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    line-clamp: 1;
    -webkit-box-orient: vertical; 
    text-overflow: ellipsis;
    overflow: hidden;
}

.text-container p:nth-child(n+3) {
    display: none;
}

.text-container.show-children p {
    display: block !important;
}

.text-container {
    font-weight: 500;
}

.chip {
    border: 1px solid #E1E4ED;
    background: #6D758F;
    border-radius: 10000px;
    padding: 12px 16px;
    white-space: nowrap;
    background-color: white;
    font-size: 1rem;
    line-height: 22.4px;
}

.chip.selected {
    color: #fff;
    background-color: #1C79B7;
}

.advertisement-slider img {
    height: 307px; 
    object-fit: cover; 
    object-position: center;
}

.advertisement-slider {
    border-radius: 0.5rem;
    overflow: hidden;
}

.custom-border {
    border: 1px solid #E1E4ED; 
    padding: 6px; 
    border-radius: 4px;
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.08);
}

.grid-buttons {
    grid-template-columns: repeat(auto-fill, minmax(78px, 1fr)); 
    display: grid; 
    gap: 6px;
}

.basic-info {
    grid-template-columns: repeat(2, max-content);
    row-gap: 16px; 
    column-gap: 45px; 
    display: grid;
    padding-bottom: 1.5rem;
    border-bottom: 1px solid #dee2e6;
}

.basic-info > :nth-child(even) {
    font-weight: 700;
}

.basic-info > :nth-child(odd) {
    font-weight: 500;
}

.general-info {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.general-info:not(:last-child) {
    margin-bottom: 12px
}

.general-info *:nth-child(4) {
    color: #E1E4ED;
}

.general-info *:nth-child(3) {
    font-weight: 600;
}

.general-info *:nth-child(1) {
    font-weight: 400;
}

.chip-container {
    overflow-x: auto;
    scrollbar-width: none;
    display: flex;
    gap: 0.75rem;
}

.custom-card div:nth-child(1) {
    height: 220px;
    margin-bottom: 24px;
}

.custom-card img {
    width: 100%; height: 100%; object-fit: cover; border-radius: 4px;
}

.custom-card p {
    color: #172F45;
    font-weight: 800;
}

#show-more-btn {
    margin-left: auto;
    font-size: 12px;
    line-height: 18px;
    padding: 6px 12px;
    border-radius: 4px;
    font-weight: 600;
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.08);
}

.line {
    display: none;
    border: 1px solid #E1E4ED;
}

.google-maps {
    box-shadow: 0px 8px 16px 0px #00000026; 
    border-radius: 8px; 
    border: 1px solid #E1E4ED;
    margin-bottom: 48px;
}

h1, h2 {
    color: #172F45;
    margin-bottom: 0;
}

h1 {
    font-weight: 800;
    font-size: 36px;
}

h2 {
    font-weight: 700;
    font-size: 24px;
    padding-bottom: 2rem;
}

@media (min-width: 992px) {
    .single-page-section {
        padding-top: 54px !important;
    }
}

.main-section {
    color: #6D758F;
    font-weight: 500;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    position: relative;
    max-width: 1112px;
    margin: 0 auto;
}

.info-container {
    gap: 3rem;
    display: flex;
    flex-direction: column;
}

.main-section .description {
    border-bottom: 1px solid #E1E4ED;
}

a {
    color: #6D758F;
    text-decoration: none;
}

a:hover {
    color: #6D758F;
}

.facility-equipment {
    grid-template-columns: repeat(2, 1fr);
    display: grid;
    gap: 1.5rem;
}

.images-desktop {
    display: none;
}

.widget {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    z-index: 999;
    background-color: #fff;
}

button {
    all: unset;
    padding: 6.5px 20px;
    color: rgba(109, 117, 143, 1);
    border: 1px solid rgba(225, 228, 237, 1);
    font-size: 12px;
    text-align: center;
    border-radius: 2px;
    font-weight: 600;
}

.grid-buttons button {
    padding: 6.5px 0;
    width: 100%;
}

.grid-buttons button.disabled {
    opacity: 0.4;
}

.grid-buttons button.selected {
    border: 1px solid #1C79B7;
    color: #1C79B7;
}

.grid-buttons button:focus {
    box-shadow: 0px 0px 0px 2px #1C79B780;
}

select {
    padding: 15px 16px 15px 16px;
    gap: 10px;
    border-radius: 4px;
    border: 1px solid rgba(225, 228, 237, 1);
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.08);
    background-color: transparent;
    color: #6D758F;
    font-size: 14px;
    font-weight: 500;
}

select:focus {
    border-color: #1C79B7;
}

.custom-card-container {
    display: flex;
    gap: 1.5rem;
    flex-direction: column;
}

@media (min-width: 768px) {
    .custom-card-container {
        flex-direction: row;
    }
}

@media (min-width: 991px) {

    .grid-buttons {
        grid-template-columns: repeat(auto-fill, minmax(68px, 1fr)); 
    }

    .line {
        display: block;
    }

    #show-more-btn {
        margin-left: 0;
    }
    
    .basic-info, 
    .facility-equipment {
        grid-template-columns: repeat(4, max-content); 
        justify-content: space-between;
    }

    .images-desktop {
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }

    .images-desktop img {
        border-radius: 0.5rem;
    }

    .slider-section {
        display: none;
    }

    .widget {
        position: absolute;
        right: 0;
        top: 0;
        width: 380px;
    }

    .info-container {
        margin-right: 411px;
        max-width: 700px;
    }
    
    .chip-container {
        scrollbar-width: thin;
    }

    .google-maps {
        margin-bottom: 96px;
    }

    h1 {
        font-size: 42px;
    }
}

.single-page-badge {
    align-self: flex-start;
}